%define name	pam_krb5
%define version	2.2.11
%define subrel	1
%define release	%mkrel 2

%define their_version 2.2.11-1

Summary:	A Pluggable Authentication Module for Kerberos 5
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{their_version}.tar.bz2
Patch0:		pam_krb5-2.2.14-ccacheperms.patch
License:	LGPL
URL:		http://www.redhat.com/
Group:		System/Libraries
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	krb5-devel
BuildRequires:	pam-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
This is pam_krb5, a pluggable authentication module that can be used with
Linux-PAM and Kerberos 5. This module supports password checking, ticket
creation, and optional TGT verification and conversion to Kerberos IV tickets.
The included pam_krb5afs module also gets AFS tokens if so configured.

%prep
%setup -q -n %{name}-%{their_version}
%patch0 -p1 -b .cve-2008-3825

%build
aclocal && autoheader && automake --add-missing && autoconf

%configure \
	--libdir=/%{_lib} \
	--without-krb4 \
	--with-os-distribution="Mandriva Linux"

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std mandir=%{_mandir}

ln -s pam_krb5.so %{buildroot}/%{_lib}/security/pam_krb5afs.so

# cleanup
rm -f %{buildroot}/%{_lib}/security/*.la
rm -f pam.d/Makefile*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README* COPYING ChangeLog INSTALL TODO
/%{_lib}/security/*
%{_bindir}/afs5log
%{_mandir}/man1/afs5log.1*
%{_mandir}/man5/*
%{_mandir}/man8/*




%changelog
* Fri Oct 3 2008 Vincent Danen <vdanen@mandriva.com> 2.2.11-2.1mdv2008.1
- P0: security fix for CVE-2008-3825
- add missing BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.2.11-2mdv2008.1
+ Revision: 130995
- kill re-definition of %%buildroot on Pixel's request


* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.11-2mdv2007.0
+ Revision: 88754
- bump release
- add one more README file to %%doc
- updated to version 2.2.11
- added distro name
- Import pam_krb5

* Fri Apr 28 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.8-1mdk
- updated to version 2.2.8-1

* Thu Mar 23 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.7-1mdk
- updated to version 2.2.7-1

* Thu Mar 16 2006 Andreas Hasenack <andreas@mandriva.com> 2.2.6-1mdk
- updated to version 2.2.6-2
- dropped stdio patch
- added new files (afs5log and its manpage)

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-4mdk
- remove the libkrbafs-devel deps

* Sat Jun 18 2005 Andreas Hasenack <andreas@mandriva.com> 2.1.2-3mdk
- rebuild without krb4 support
- added stdio patch to include <stdio.h>

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.1.2-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Mon Nov 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.2-1mdk
- 2.1.2

* Mon Aug 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1
- misc spec file fixes

* Tue May 11 2004 Florin <florin@mandrakesoft.com> 2.0.10-1mdk
- 2.0.10-1
- remove useless patches
- add the pam_krb5_storetmp new file

* Tue Mar 09 2004 Florin <florin@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5-3

